<?php

// QT-registrations 2.0 build:20090226

include('qtr_stats_gt_inc.php');

function Trend($tr='a',$i,$j)
{
  if ( !isset($i) ) return null;
  $i = $i-$j;
  if ( $tr=='p' && $i!=0 )
  {
    if ( $j==0 ) $j=1;
    $i = intval(($i/$j)*100);
  }
  return $i;
}

// DISPLAY title & option

echo '<table class="hidden" cellspacing="0">';
echo '<tr class="hidden" style="vertical-align:middle;">';
echo '<td><h2>',$intYear-1,' - ',$intYear,($s>=0 ? ' ('.$arrSections[$s].')' : ''),(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)),'</h2></td>',N;
if ( $oSYS->output=='screen' ) echo '<td class="small" style="text-align:right">',implode(' &middot; ',$arrTimeblocks),'</td>';
echo '</tr></table>
';

// DISPLAY VALUES

// -----
foreach(array($intCurrentYear-1,$intCurrentYear) as $intYear) {
// -----

// Display table header

echo '<table class="data_t" cellspacing="0">
<tr class="data_t">
<td class="th_o" style="width:85px">',$intYear,'</td>
<td class="th_o" style="width:14px">&nbsp;</td>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">Q',$i,'</td>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</td>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d M'))),'</td>'; } break;
}
echo '<td class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></td>
</tr>';

// DISPLAY TOPICS

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Topics'],'</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></td>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrT[$intYear][$intBt]) ? $arrT[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrT[$intYear][$intTotBt],'</b></td></tr>',N;

// DISPLAY MESSAGES

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Messages'],'</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></td>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrM[$intYear][$intBt]) ? $arrM[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrM[$intYear][$intTotBt],'</b></td></tr>',N;

// DISPLAY USERS

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Users'],'*</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#009999;width:8px;height:10px">&nbsp;</div></td>',N;
for ($intBt=1;$intBt<=$intMaxBt;$intBt++) 
{
  echo '<td class="td_o" style="text-align:center;">',(isset($arrU[$intYear][$intBt]) ? $arrU[$intYear][$intBt] : '&middot;'),'</td>',N;
}
echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrU[$intYear][$intTotBt],'</b></td></tr>',N;
echo '</table>
';

// -----
}
// -----

// DISPLAY TRENDS

// Table header

if ( $oSYS->output=='screen' ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arrTrendtypes),'</p>';

echo '<table class="data_t" cellspacing="0">
<tr class="data_t">
<td class="th_o" style="width:85px">',$L['Trends'],'</td>
<td class="th_o" style="width:14px">&nbsp;</td>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">Q',$i,'</td>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</td>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d M'))),'</td>'; } break;
}
echo '<td class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></td>
</tr>';

// Topics trends

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Topics'],'</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></td>',N;

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  $str = '0';
  $i = Trend($tr, (isset($arrT[$intCurrentYear][$intBt]) ? $arrT[$intCurrentYear][$intBt] : null), (isset($arrT[$intCurrentYear-1][$intBt]) ? $arrT[$intCurrentYear-1][$intBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;">',$str,'</td>',N;  
}

  $str = '0';
  $i = Trend($tr, (isset($arrT[$intCurrentYear][$intTotBt]) ? $arrT[$intCurrentYear][$intTotBt] : null), (isset($arrT[$intCurrentYear-1][$intTotBt]) ? $arrT[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;"><b>',$str,'</b></td></tr>',N;

// Messages trends

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Messages'],'</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></td>',N;

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  $str = '0';
  $i = Trend($tr, (isset($arrM[$intCurrentYear][$intBt]) ? $arrM[$intCurrentYear][$intBt] : null), (isset($arrM[$intCurrentYear-1][$intBt]) ? $arrM[$intCurrentYear-1][$intBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;">',$str,'</td>',N;  
}

  $str = '0';
  $i = Trend($tr, (isset($arrM[$intCurrentYear][$intTotBt]) ? $arrM[$intCurrentYear][$intTotBt] : null), (isset($arrM[$intCurrentYear-1][$intTotBt]) ? $arrM[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;"><b>',$str,'</b></td></tr>',N;

// Users trends

echo '<tr class="data_o">',N;
echo '<td class="th_o">',$L['Users'],'*</td>',N;
echo '<td class="th_o"><div style="margin:0 auto;background-color:#009999;width:8px;height:10px">&nbsp;</div></td>',N;

for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
{
  $str = '0';
  $i = Trend($tr, (isset($arrU[$intCurrentYear][$intBt]) ? $arrU[$intCurrentYear][$intBt] : null), (isset($arrU[$intCurrentYear-1][$intBt]) ? $arrU[$intCurrentYear-1][$intBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;">',$str,'</td>',N;  
}

  $str = '0';
  $i = Trend($tr, (isset($arrU[$intCurrentYear][$intTotBt]) ? $arrU[$intCurrentYear][$intTotBt] : null), (isset($arrU[$intCurrentYear-1][$intTotBt]) ? $arrU[$intCurrentYear-1][$intTotBt] : 0) );
  if ( isset($i) )
  {
    if ( $i>0 ) $str = '<span style="color:red">'.'+'.$i.($tr=='p' ? '%' : '').'</span>';
    if ( $i<0 ) $str = '<span style="color:green">'.'-'.$i.($tr=='p' ? '%' : '').'</span>';
  }
  else
  {
    $str = '&middot;';
  }
  echo '<td class="td_o" style="text-align:center;"><b>',$str,'</b></td></tr>',N;

echo '</table>
';

echo '<p>*  <span class="small">',$L['Distinct_users'],'</span></p>
';

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_main2.css') )
{
  include('bin/qt_lib_graph.php');
    
  $arr = array();
  $arr[] = ($gr=='a' ? $L['Per_a'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&tr='.$tr.'&gr=a" class="small">'.$L['Per_a'].'</a>');
  $arr[] = ($gr=='p' ? $L['Per_p'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&tr='.$tr.'&gr=p" class="small">'.$L['Per_p'].'</a>');

  if ( $oSYS->output=='screen' ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arr),'</p>';

  // TOPIC first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphT[$intYear]),max($arrGraphT[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  
  echo '<table class="data_t" cellspacing="0">',N;
  echo '<tr class="data_t">',N;
  echo '<td class="td_o" style="width:355px">',N;
  
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphT[$intYear],false,320,100,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear);
  }
  else
  {
  QTsimplegraph($arrGraphT[$intYear],false,350,100,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear);
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  // TOPIC second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphT[$intYear],false,320,100,$intTopValue,2,true,$L['Topics_per_'.$bt].' '.$intYear);
  }
  else
  {
  QTsimplegraph($arrGraphT[$intYear],false,350,100,$intTopValue,2,'P',$L['Topics_per_'.$bt].' (%)'.' '.$intYear);
  }

  echo '</td>',N;
  echo '</tr>',N;

  // MESSAGE first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphM[$intYear]),max($arrGraphM[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  
  echo '<tr class="data_o">',N;
  echo '<td class="td_o" style="width:355px">',N;
  
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphM[$intYear],false,320,100,$intTopValue,2,true,$L['Messages_per_'.$bt].' '.$intYear,'','2');
  }
  else
  {
  QTsimplegraph($arrGraphM[$intYear],false,350,100,$intTopValue,2,'P',$L['Messages_per_'.$bt].' (%)'.' '.$intYear,'','2');
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  // MESSAGE second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphM[$intYear],false,320,100,$intTopValue,2,true,$L['Messages_per_'.$bt].' '.$intYear,'','2');
  }
  else
  {
  QTsimplegraph($arrGraphM[$intYear],false,350,100,$intTopValue,2,'P',$L['Messages_per_'.$bt].' (%)'.' '.$intYear,'','2');
  }

  echo '</td>',N;
  echo '</tr>',N;

  // USER first serie
  
  $intYear = $intCurrentYear-1;
  $intTopValue = 5; $i = max(max($arrGraphU[$intYear]),max($arrGraphU[$intCurrentYear]));
  if ( $i>5 ) $intTopValue = 10;
  if ( $i>10 ) $intTopValue = 20;
  if ( $i>20 ) $intTopValue = 30;
  if ( $i>30 ) $intTopValue = 50;
  if ( $i>50 ) $intTopValue = $i;
  
  echo '<tr class="data_o">',N;
  echo '<td class="td_o" style="width:355px">',N;
  
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphU[$intYear],false,320,100,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear,'','3');
  }
  else
  {
  QTsimplegraph($arrGraphU[$intYear],false,350,100,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear,'','3');
  }

  echo '</td>',N;  
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;

  // USER second serie

  $intYear = $intCurrentYear;
  if ( $gr=='a' ) 
  {
  QTsimplegraph($arrGraphU[$intYear],false,320,100,$intTopValue,2,true,$L['Users_per_'.$bt].' '.$intYear,'','3');
  }
  else
  {
  QTsimplegraph($arrGraphU[$intYear],false,350,100,$intTopValue,2,'P',$L['Users_per_'.$bt].' (%)'.' '.$intYear,'','3');
  }

  echo '</td>',N;
  echo '</tr></table>',N;

}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qtr_main2.css</p>';
}

?>