<?php

// QT-registrations 2.0 build:20090226

// Initialise

if ( !isset($_SESSION[QT]['statS']) ) $_SESSION[QT]['statS']=false;
if ( !isset($_SESSION[QT]['statC']) ) $_SESSION[QT]['statC']=false;
if ( !isset($_SESSION[QT]['statF']) ) $_SESSION[QT]['statF']=array();

// ------
// SUBMITTED
// ------

if ( isset($_GET['add']) )
{
  $str = strip_tags($_GET['field']);
  if ( substr($str,0,1)!='-' )
  {
    if ( $str=='S' ) { $_SESSION[QT]['statS']=true; }
    elseif ( $str=='C' ) { $_SESSION[QT]['statC']=true; }
    else { $_SESSION[QT]['statF'][]=$str; }
  }
  $_SESSION[QT]['statF'] = array_unique($_SESSION[QT]['statF']);
}
if ( isset($_GET['rem']) )
{
  $str = strip_tags($_GET['field']);
  if ( substr($str,0,1)!='-' )
  {
    if ( $str=='S' ) $_SESSION[QT]['statS']=false;
    if ( $str=='C' ) $_SESSION[QT]['statC']=false;
    if ( in_array($str,$_SESSION[QT]['statF']) ) unset($_SESSION[QT]['statF'][array_search($str,$_SESSION[QT]['statF'])]);
  }
}

// maximum 4 fields and rearrange

if ( !isset($_SESSION[QT]['statF'][0]) && isset($_SESSION[QT]['statF'][1]) ) { $_SESSION[QT]['statF'][0]=$_SESSION[QT]['statF'][1]; unset($_SESSION[QT]['statF'][1]); }
if ( !isset($_SESSION[QT]['statF'][1]) && isset($_SESSION[QT]['statF'][2]) ) { $_SESSION[QT]['statF'][1]=$_SESSION[QT]['statF'][2]; unset($_SESSION[QT]['statF'][2]); }
if ( !isset($_SESSION[QT]['statF'][2]) && isset($_SESSION[QT]['statF'][3]) ) { $_SESSION[QT]['statF'][2]=$_SESSION[QT]['statF'][2]; unset($_SESSION[QT]['statF'][3]); }
if ( isset($_SESSION[QT]['statF'][4]) ) { unset($_SESSION[QT]['statF'][4]); $error='Maximum 4 fields'; }
if ( count($_SESSION[QT]['statF'])<2 ) $_SESSION[QT]['statS']=false;

// ------
// HTML START
// ------

  $arrNumFields = array();
  $oDB->Query( 'SELECT fieldid FROM '.TABFIELD.' WHERE fieldtype="N" OR fieldtype="R" ORDER BY fieldid' );
  while($row=$oDB->Getrow()) { $arrNumFields[$row['fieldid']] = ObjTrans('field',$row['fieldid']); }
  
  if ( count($arrNumFields)==0 ) echo '<p>',$L['E_no_numeric_field'],'</p>';

if ( $oSYS->output=='screen' && count($arrNumFields)!=0 ) 
{
echo '<div class="legendbox" style="width:400px">
<form method="get" action="',$oVIP->selfurl.'">
Fields <select name="field" id="field" class="small">';
echo QTastags($arrNumFields);
if ( count($arrNumFields)>1 )
{
echo '<option value="-"',QDIS,'>----------</option>';
echo '<option value="S">',$L['Total'],'</option>';
}
echo '<option value="--"',QDIS,'>----------</option>';
echo '<option value="C">',$L['Count_tickets'],'</option>';
echo '</select>
<input type="hidden" name="s" value="',$s,'"/>
<input type="hidden" name="year" value="',$intYear,'"/>
<input type="hidden" name="bt" value="',$bt,'"/>
<input type="hidden" name="gr" value="',$gr,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="add" class="small" value="',$L['Add'],'"/>&nbsp;
<input type="submit" name="rem" class="small" value="',$L['Remove'],'"/>
';
if ( !empty($error) ) echo ' <span class="error">',$error,' </span>'; 
echo '</form>
</div>
';
}

// -----------
if ( isset($_SESSION[QT]['statF'][0]) ) {
// -----------

include('qtr_stats_n_inc.php');

// Display title & option

echo '<table class="hidden" cellspacing="0">';
echo '<tr class="hidden" style="vertical-align:middle;">';
echo '<td><h2>',$intYear,($s>=0 ? ' ('.$arrSections[$s].')' : ''),(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)),'</h2></td>',N;
if ( $oSYS->output=='screen' ) echo '<td class="small" style="text-align:right">',implode(' &middot; ',$arrTimeblocks),'</td>';
echo '</tr></table>
';

// DISPLAY

echo '<table class="data_t" cellspacing="0">
<tr class="data_t">
<td class="th_o" style="width:85px">&nbsp;</td>
<td class="th_o" style="width:14px">&nbsp;</td>
';
switch($bt)
{
case 'q': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">Q',$i,'</td>'; } break;
case 'm': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',$L['dateMM'][$i],'</td>'; } break;
case 'd': for ($i=1;$i<=$intMaxBt;$i++) { echo '<td class="th_o" style="text-align:center;">',str_replace(' ','<br/>',QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d/n'))),'</td>'; } break;
}
echo '<td class="th_o" style="text-align:center;"><b>',($bt=='d' ? '10 '.strtolower($L['Days']) : $L['Year']),'</b></td>
</tr>';
foreach($_SESSION[QT]['statF'] as $intKey=>$strNumericField)
{
  echo '<tr class="data_o">',N;
  echo '<td class="th_o">',ObjTrans('field',$strNumericField),'</td>',N;
  echo '<td class="th_o"><div style="margin:0 auto;background-color:#000066;width:8px;height:10px">&nbsp;</div></td>',N;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  echo '<td class="td_o" style="text-align:center;">',(isset($arrT[$intKey][$intBt]) ? $arrT[$intKey][$intBt] : '&middot;'),'</td>',N;
  }
  echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrT[$intKey][$intTotBt],'</b></td>',N;
  echo '</tr>';
}
if ( $_SESSION[QT]['statS'] )
{
  echo '<tr class="data_o">',N;
  echo '<td class="th_o">',$L['Total'],'</td>',N;
  echo '<td class="th_o"><div style="margin:0 auto;background-color:#990099;width:8px;height:10px">&nbsp;</div></td>',N;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  echo '<td class="td_o" style="text-align:center; background-color:#eeeeee">',(isset($arrT['S'][$intBt]) ? $arrT['S'][$intBt] : '&middot;'),'</td>',N;
  }
  echo '<td class="td_o" style="text-align:center;padding:5px; background-color:#eeeeee"><b>',$arrT['S'][$intTotBt],'</b></td>',N;
  echo '</tr>';
}
if ( $_SESSION[QT]['statC'] )
{
  echo '<tr class="data_o">',N;
  echo '<td class="th_o">',$L['Topics'],'</td>',N;
  echo '<td class="th_o"><div style="margin:0 auto;background-color:#009999;width:8px;height:10px">&nbsp;</div></td>',N;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  echo '<td class="td_o" style="text-align:center;">',(isset($arrT['C'][$intBt]) ? $arrT['C'][$intBt] : '&middot;'),'</td>',N;
  }
  echo '<td class="td_o" style="text-align:center;padding:5px;"><b>',$arrT['C'][$intTotBt],'</b></td>',N;
  echo '</tr>';
}
echo '</table>
';

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_main2.css') )
{
  include('bin/qt_lib_graph.php');
    
  $arr = array();
  $arr[] = ($gr=='a' ? $L['Per_a'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&gr=a" class="small">'.$L['Per_a'].'</a>');
  $arr[] = ($gr=='p' ? $L['Per_p'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&year='.$intYear.'&tt='.$tt.'&bt='.$bt.'&gr=p" class="small">'.$L['Per_p'].'</a>');

  if ( $oSYS->output=='screen' ) echo '<p class="small" style="text-align:right">',implode(' &middot; ',$arr),'</p>';
  
  // VALUES

  echo '<table class="data_t" cellspacing="0">',N;
  
  echo '<tr class="data_t">',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( isset($_SESSION[QT]['statF'][0]) )
  {
    $intTopValue = 5; $i = max($arrGraph[0]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph[0],false,320,100,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][0]),'','1');
    }
    else
    {
    QTsimplegraph($arrGraph[0],false,350,100,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][0]).' (%)','','1');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( isset($_SESSION[QT]['statF'][1]) )
  {
    $intTopValue = 5; $i = max($arrGraph[1]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph[1],false,320,100,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][1]),'','1');
    }
    else
    {
    QTsimplegraph($arrGraph[1],false,350,100,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][1]).' (%)','','1');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '</tr>';  

  echo '<tr class="data_o">',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( isset($_SESSION[QT]['statF'][2]) )
  {
    $intTopValue = 5; $i = max($arrGraph[2]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph[2],false,320,100,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][2]),'','1');
    }
    else
    {
    QTsimplegraph($arrGraph[2],false,350,100,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][2]).' (%)','','1');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( isset($_SESSION[QT]['statF'][3]) )
  {
    $intTopValue = 5; $i = max($arrGraph[3]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph[3],false,320,100,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][3]),'','1');
    }
    else
    {
    QTsimplegraph($arrGraph[3],false,350,100,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][3]).' (%)','','1');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '</tr>';  

  echo '<tr class="data_o">',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( $_SESSION[QT]['statS'] )
  {
    $intTopValue = 5; $i = max($arrGraph['S']);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;

    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph['S'],false,320,100,$intTopValue,2,true,$L['Total'],'','2');
    }
    else
    {
    QTsimplegraph($arrGraph['S'],false,350,100,$intTopValue,2,'P',$L['Total'].' (%)','','2');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '<td class="td_o">&nbsp;</td>',N;
  echo '<td class="td_o" style="width:355px">',N;
  if ( $_SESSION[QT]['statC'] )
  {
    $intTopValue = 5; $i = max($arrGraph['C']);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;

    if ( $gr=='a' ) 
    {
    QTsimplegraph($arrGraph['C'],false,320,100,$intTopValue,2,true,$L['Topics'],'','3');
    }
    else
    {
    QTsimplegraph($arrGraph['C'],false,350,100,$intTopValue,2,'P',$L['Topics'].' (%)','','3');
    }
  }
  else
  {
    echo S;
  }
  echo '</td>',N;
  echo '</tr>';  
  
  echo '</table>',N;
}
else
{
  echo '<p class="small">Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, ',$_SESSION[QT]['skin_dir'].'/qtr_main2.css</p>';
}

// -----------
}
// -----------

?>