<?php

// QT-registerations 2.0 build:20090226

switch(substr($oDB->type,0,5))
{

case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id int,
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  notify char(1) NOT NULL default "1",
  domainid int NOT NULL default 0,
  title varchar(64) NOT NULL default "untitled",
  titleorder int NOT NULL default 255,
  moderator int NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default "Administrator",
  stats varchar(255),  
  titlefield char(1) NOT NULL default "0",
  numfield varchar(24) NOT NULL default " ",
  sortfield varchar(24),
  infofield varchar(24),
  eventdate char(1) NOT NULL default "1",
  wisheddate char(1) NOT NULL default "0",
  alternate char(1) NOT NULL default "0",
  prefix char(1),
  logo varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id int NOT NULL CONSTRAINT pk_'.$qtr_prefix.'qtrsection PRIMARY KEY,
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  notify char(1) NOT NULL default "1",
  domainid int NOT NULL default 0,
  title varchar(64) NOT NULL default "untitled",
  titleorder int NOT NULL default 0,
  moderator int NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default "Administrator",
  stats varchar(255) NULL,  
  titlefield char(1) NOT NULL default "0",
  numfield varchar(24) NOT NULL default " ",
  sortfield varchar(24) NULL,
  infofield varchar(24) NULL,
  eventdate char(1) NOT NULL default "1",
  wisheddate char(1) NOT NULL default "0",
  alternate char(1) NOT NULL default "0",
  prefix char(1) NULL,
  logo varchar(24) NULL
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id integer,
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  notify char(1) NOT NULL default "1",
  domainid integer NOT NULL default 0,
  title varchar(64) NOT NULL default "untitled",
  titleorder integer NOT NULL default 255,
  moderator integer NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default "Administrator",
  stats varchar(255) NULL,  
  titlefield char(1) NOT NULL default "0",
  numfield varchar(24) NOT NULL default " ",
  sortfield varchar(24) NULL,
  infofield varchar(24) NULL,
  eventdate char(1) NOT NULL default "1",
  wisheddate char(1) NOT NULL default "0",
  alternate char(1) NOT NULL default "0",
  prefix char(1) NULL,
  logo varchar(24) NULL,
  PRIMARY KEY (id)
  )';
  break;

case 'sqlit':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id integer,
  type text NOT NULL default "0",
  status text NOT NULL default "0",
  notify text NOT NULL default "1",
  domainid integer NOT NULL default 0,
  title text NOT NULL default "untitled",
  titleorder integer NOT NULL default 255,
  moderator integer NOT NULL default 0,
  moderatorname text NOT NULL default "Administrator",
  stats text,  
  titlefield text NOT NULL default "0",
  numfield text NOT NULL default " ",
  sortfield text,
  infofield text,
  eventdate text NOT NULL default "1",
  wisheddate text NOT NULL default "0",
  alternate text NOT NULL default "0",
  prefix text,
  logo text,
  PRIMARY KEY (id)
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id integer,
  type char(1) default "0",
  status char(1) default "0",
  notify char(1) default "1",
  domainid integer default 0,
  title varchar(64) default "untitled",
  titleorder integer default 255,
  moderator integer default 0,
  moderatorname varchar(24) default "Administrator",
  stats varchar(255),  
  titlefield char(1) default "0",
  numfield varchar(24) default " ",
  sortfield varchar(24),
  infofield varchar(24),
  eventdate char(1) default "1",
  wisheddate char(1) default "0",
  alternate char(1) default "0",
  prefix char(1),
  logo varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'acces':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id int CONSTRAINT pk_'.$qtr_prefix.'qtrsection PRIMARY KEY,
  type char(1),
  status char(1),
  notify char(1),
  domainid int,
  title varchar(64),
  titleorder int,
  moderator int,
  moderatorname varchar(24),
  stats varchar(255),  
  titlefield char(1),
  numfield varchar(24),
  sortfield varchar(24),
  infofield varchar(24),
  eventdate char(1),
  wisheddate char(1),
  alternate char(1),
  prefix char(1),
  logo varchar(24)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id integer NOT NULL,
  type char(1) NOT NULL default "0",
  status char(1) NOT NULL default "0",
  notify char(1) NOT NULL default "1",
  domainid integer NOT NULL default 0,
  title varchar(64) NOT NULL default "untitled",
  titleorder integer NOT NULL default 255,
  moderator integer NOT NULL default 0,
  moderatorname varchar(24) NOT NULL default "Administrator",
  stats varchar(255),  
  numfield varchar(24) NOT NULL default " ",
  titlefield char(1) NOT NULL default "0",
  infofield varchar(24),
  sortfield varchar(24),
  eventdate char(1) NOT NULL default "1",
  wisheddate char(1) NOT NULL default "0",
  alternate char(1) NOT NULL default "0",
  prefix char(1),
  logo varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id integer,
  type char(1) default "0" NOT NULL,
  status char(1) default "0" NOT NULL,
  notify char(1) default "1" NOT NULL,
  domainid integer default 0 NOT NULL,
  title varchar(64) default "untitled" NOT NULL,
  titleorder integer default 255 NOT NULL,
  moderator integer default 0 NOT NULL,
  moderatorname varchar(24) default "Administrator" NOT NULL,
  stats varchar(255),  
  numfield varchar(24) NOT NULL default " ",
  titlefield char(1) default "0" NOT NULL,
  infofield varchar(24),
  sortfield varchar(24),
  eventdate char(1) default "1" NOT NULL,
  wisheddate char(1) default "0" NOT NULL,
  alternate char(1) default "0" NOT NULL,
  prefix char(1),
  logo varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrsection (
  id number(32),
  type char(1) default "0" NOT NULL,
  status char(1) default "0" NOT NULL,
  notify char(1) default "1" NOT NULL,
  domainid number(32) default 0 NOT NULL,
  title varchar2(64) default "untitled" NOT NULL,
  titleorder number(32) default 255 NOT NULL,
  moderator number(32) default 0 NOT NULL,
  moderatorname varchar2(24) default "Administrator" NOT NULL,
  stats varchar2(255),  
  numfield varchar2(24) default " " NOT NULL,
  titlefield char(1) default "0" NOT NULL,
  infofield varchar2(24),
  sortfield varchar2(24),
  eventdate char(1) default "1" NOT NULL,
  wisheddate char(1) default "0" NOT NULL,
  alternate char(1) default "0" NOT NULL,
  prefix char(1),
  logo varchar2(24),
  CONSTRAINT pk_'.$qtr_prefix.'qtrsection PRIMARY KEY (id))';
  break;

default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, ifx or access");

}

echo '<span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrsection',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="button"><tr><td></td><td class="button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$strQ='INSERT INTO '.$qtr_prefix.'qtrsection (
id,type,status,notify,domainid,title,titleorder,moderator,moderatorname,stats,titlefield,numfield,sortfield,infofield,eventdate,wisheddate,alternate,prefix,logo)
VALUES (0,"1","0","0",0,"Admin section",0,0,"Admin","","0","T-%03s","","no","1","0","0","a","")';

$oDB->Query($strQ);

?>