<?php

// QT-registerations 2.0 build:20090226

switch(substr($oDB->type,0,5))
{

case 'mysql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section int,
  tabid varchar(24),
  taborder int NOT NULL default 255,
  tabselect char(1),
  tabframe text,
  tabfields int,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'mssql':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section int,
  tabid varchar(24),
  taborder int NOT NULL default 255,
  tabselect char(1),
  tabframe text,
  tabfields int,
  CONSTRAINT pk_'.$qtr_prefix.'qtrtab PRIMARY KEY (section,tabid)
  )';
  break;

case 'pg':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section integer,
  tabid varchar(24),
  taborder integer NOT NULL default 255,
  tabselect char(1),
  tabframe text,
  tabfields int,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'sqlit':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section integer,
  tabid text,
  taborder integer NOT NULL default 255,
  tabselect text,
  tabframe text,
  tabfields integer,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'ibase':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section integer,
  tabid varchar(24),
  taborder integer default 255,
  tabselect char(1),
  tabframe varchar(32700),
  tabfields integer,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'acces':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section int,
  tabid varchar(24),
  taborder int NOT NULL default 255,
  tabselect char(1),
  tabframe memo,
  tabfields integer,
  CONSTRAINT pk_'.$qtr_prefix.'qtrtab PRIMARY KEY (section,tabid)
  )';
  break;

case 'db2':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section integer,
  tabid varchar(24),
  taborder integer NOT NULL default 255,
  tabselect char(1),
  tabframe long varchar,
  tabfields integer,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'ifx':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section integer,
  tabid varchar(24),
  taborder integer default 255 NOT NULL,
  tabselect char(1),
  tabframe text,
  tabfields integer,
  PRIMARY KEY (section,tabid)
  )';
  break;

case 'oci':
  $strQ='CREATE TABLE '.$qtr_prefix.'qtrtab (
  section number(32),
  tabid varchar2(24),
  taborder number(32) default 255 NOT NULL,
  tabselect char(1),
  tabframe varchar2(4000),
  tabfields number(32),
  CONSTRAINT pk_'.$qtr_prefix.'qtrtab PRIMARY KEY (section,tabid))';
  break;

default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, ifx or access");

}

echo '<span style="color:blue;">';
$b=$oDB->Query($strQ);
echo '</span>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="setup_err">',sprintf ($L['E_install'],$qtr_prefix.'qtrtab',$qtr_database,$qtr_user),'</div>';
  echo '<br/><table cellspacing="0" class="button"><tr><td></td><td class="button" style="width:120px">&nbsp;<a href="qtr_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrtab (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES (0,"ticket",0,"0","",0)');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrtab (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES (0,"messages",253,"0","",0)');
$oDB->Query('INSERT INTO '.$qtr_prefix.'qtrtab (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES (0,"documents",254,"0","",0)');

?>