<?php

// QT-registrations 2.0 build:20090226

// INITIALISE
$oSYS->output='print';

$arrSections = GetSectionTitles($oVIP->role);

$arrTable = array();

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $intYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'section='.$s.' AND'; } else { $strSection=''; }

$tt = 'g';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);
$bt = 'm';
if ( isset($_GET['bt']) ) $bt = strip_tags($_GET['bt']);
if ( isset($_POST['bt']) ) $bt = strip_tags($_POST['bt']);
$gr = 'a';
if ( isset($_GET['gr']) ) $gr = strip_tags($_GET['gr']);
if ( isset($_POST['gr']) ) $gr = strip_tags($_POST['gr']);
$tr = 'a';
if ( isset($_GET['tr']) ) $tr = strip_tags($_GET['tr']);
if ( isset($_POST['gr']) ) $tr = strip_tags($_POST['tr']);

  // FIRST/LAST DATE

  $query = 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';

  $strFirstdate = QTdate($row['startdate'],$arrQTdate);
  $strLastdate = QTdate($row['lastdate'],$arrQTdate);

  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');

$intStartyear = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear = intval(date('Y'));
$intEndmonth = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++)
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

// GLOBAL STATISTICS

include('qtr_stats_n_inc.php');

// -----------
if ( isset($_SESSION[QT]['statF'][0]) ) {
// -----------

// ------
// OUTPUT
// ------

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetTitle( PdfClean($L['Statistics']) );
$pdf->SetAuthor( PdfClean($_SESSION[QT]['site_name']) );
$pdf->SetSubject( PdfClean(PdfClean($L['Count']) );

$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor(150);
$pdf->Ln();
$pdf->Cell(0, 10, PdfClean($L['Count']), 'T', 1, 'R');
$pdf->SetTextColor(0);

if ( $bt=='q' ) { $intWidth=16; } else { $intWidth=11; }

// title

$pdf->SetFont('Arial','B',10);
$pdf->Cell(0, 8, PdfClean( $intYear.($s>=0 ? ' ('.$arrSections[$s].')' : '').(empty($tag) ? '' : ', '.$L['Tag_only'].' '.str_replace(';',' '.$L['or'].' ',$tag)) ), '', 1);

// Table header

  $arrRow = array();
  $oCell = new cPdfCell(' ',28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true); $arrRow[]=$oCell;
  switch($bt)
  {
  case 'q': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( 'Q'.$i,                                                          $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'm': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( $L['dateMM'][$i],                                                $intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  case 'd': for ($i=1;$i<=$intMaxBt;$i++) { $oCell = new cPdfCell( QTdate(DateAdd($strTendaysago,$i,'day'),array('n','date','d/n')),$intWidth,5,'C',true); $arrRow[]=$oCell; } break;
  }
  $oCell = new cPdfCell(($bt=='d' ? '10 '.strtolower($L['Days']) : PdfClean($L['Year'])),$intWidth+3,5,'C',true); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;

// Table body

foreach($_SESSION[QT]['statF'] as $intKey=>$strNumericField)
{
  $arrRow = array();
  $oCell = new cPdfCell(ObjTrans('field',$strNumericField),28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,0,102)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT[$intKey][$intBt]) ? $arrT[$intKey][$intBt] : '.'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrT[$intKey][$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

if ( $_SESSION[QT]['statS'] )
{
  $arrRow = array();
  $oCell = new cPdfCell($L['Total'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(153,0,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT['S'][$intBt]) ? $arrT['S'][$intBt] : '.'),$intWidth,5,'C',true); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrT['S'][$intTotBt],$intWidth+3,5,'C',true);$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

if ( $_SESSION[QT]['statC'] )
{
  $arrRow = array();
  $oCell = new cPdfCell($L['Topics'],28,5,'',true); $arrRow[]=$oCell;
  $oCell = new cPdfCell(' ',4, 5,'',true,array(0,153,153)); $arrRow[]=$oCell;
  for ($intBt=1;$intBt<=$intMaxBt;$intBt++)
  {
  $oCell = new cPdfCell((isset($arrT['C'][$intBt]) ? $arrT['C'][$intBt] : '.'),$intWidth); $arrRow[]=$oCell;
  }
  $oCell = new cPdfCell($arrT['C'][$intTotBt],$intWidth+3,5,'C');$oCell->font=array('Arial','B',8); $arrRow[]=$oCell;
  $arrTable[] = $arrRow;
}

// End table
 
$pdf->BasicTable($arrTable);
$pdf->Ln();

// GRAPH

if ( file_exists('bin/qt_lib_graph.php') && file_exists($_SESSION[QT]['skin_dir'].'/qtr_main2.css') )
{
  include('bin/qt_lib_graph.php');

  $y = $pdf->GetY();
  $x = $pdf->GetX();

  // Topics
  if ( isset($_SESSION[QT]['statF'][0]) )
  {  
    $intTopValue = 5; $i = max($arrGraph[0]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[0],false,92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][0]),'','1');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[0],false,92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][0]).' (%)','','1');
    }  
  }

  $pdf->SetXY($x+94,$y);

  if ( isset($_SESSION[QT]['statF'][1]) )
  {  
    $intTopValue = 5; $i = max($arrGraph[1]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[1],false,92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][1]),'','1');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[1],false,92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][1]).' (%)','','1');
    }  
  }

  $pdf->SetXY($x,$y+50);

  $b = false;
  if ( isset($_SESSION[QT]['statF'][2]) )
  {  
    $intTopValue = 5; $i = max($arrGraph[2]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[2],false,92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][2]),'','1');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[2],false,92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][2]).' (%)','','1');
    }
    $b = true;
  }

  $pdf->SetXY($x+94,$y+50);

  if ( isset($_SESSION[QT]['statF'][3]) )
  {  
    $intTopValue = 5; $i = max($arrGraph[3]);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[3],false,92,30,$intTopValue,2,true,ObjTrans('field',$_SESSION[QT]['statF'][3]),'','1');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph[3],false,92,30,$intTopValue,2,'P',ObjTrans('field',$_SESSION[QT]['statF'][3]).' (%)','','1');
    }  
    $b = true;
  }  
  if ( !$b ) $y -= 50; // move up if [2] and [3] not used

  $pdf->SetXY($x,$y+100);

  if ( $_SESSION[QT]['statS'] )
  {  
    $intTopValue = 5; $i = max($arrGraph['S']);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph['S'],false,92,30,$intTopValue,2,true,$L['Total'],'','2');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph['S'],false,92,30,$intTopValue,2,'P',$L['Total'].' (%)','','2');
    }  
  }
  
  $pdf->SetXY($x+94,$y+100);

  if ( $_SESSION[QT]['statC'] )
  {  
    $intTopValue = 5; $i = max($arrGraph['C']);
    if ( $i>5 ) $intTopValue = 10;
    if ( $i>10 ) $intTopValue = 20;
    if ( $i>20 ) $intTopValue = 30;
    if ( $i>30 ) $intTopValue = 50;
    if ( $i>50 ) $intTopValue = $i;
    if ( $gr=='a' ) 
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph['C'],false,92,30,$intTopValue,2,true,$L['Topics'],'','3');
    }
    else
    {
    $pdf = QTsimplegraphpdf($pdf,$arrGraph['C'],false,92,30,$intTopValue,2,'P',$L['Topics'].' (%)','','3');
    }  
  }

}
else
{
  $pdf->SetFont('Arial','',8);
  $pdf->Cell(0, 10, PdfClean('Graphs cannot be displayed because one of these files is missing: bin/qt_lib_graph.php, '.$_SESSION[QT]['skin_dir'].'/qtr_main2.css'), 'T', 1);
}


// --------
// PDF END
// --------

$pdf->Output();

// -----------
}
// -----------

?>